PfSense 2.0-BETA4-20101225-2327 Broken - Cannot Install Unbound



  • Tried the above on a different box and it appears the release above is still broken  :D

    Beginning package installation for Unbound…
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading Unbound and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/8/All/unbound-1.4.7.tbz ...  (extracting)
      Downloading http://files.pfsense.org/packages/8/All/expat-2.0.1_1.tbz ...  (extracting)
    openssl-1.0.0_4 already installed.
      Downloading http://files.pfsense.org/packages/8/All/libevent-1.3e.tbz ...  could not download from there or http://ftp2.FreeBSD.org/pub/FreeBSD/ports/i386/packages-8.1-release/All/libevent-1.3e.tbz.
    of unbound-1.4.7 failed!

    Installation aborted.Backing up libraries...
    Removing package...
    Starting package deletion for unbound-1.4.7...done.
    Starting package deletion for expat-2.0.1_1...done.
    Starting package deletion for libevent-1.4.14b_1...done.
    Removing Unbound components...
    Tabs items... done.
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file unbound.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... Failed to install package.

    Installation halted.


  • Rebel Alliance Developer Netgate

    Does this still happen if you install it now?

    Libevent is up to 1.4, the packages should be rebuilding with that, but 1.3 was still on the package builder alongside 1.4 so it's possible something latched onto the old library.



  • No I got the same error on

    2.0-BETA5 (i386) built on Sun Dec 26 01:43:40 EST 2010

    Thanks,

    Beginning package installation for Unbound…
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading Unbound and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/8/All/unbound-1.4.7.tbz ...  (extracting)
    expat-2.0.1_1 already installed.
    openssl-1.0.0_4 already installed.
      Downloading http://files.pfsense.org/packages/8/All/libevent-1.3e.tbz ...  could not download from there or http://ftp2.FreeBSD.org/pub/FreeBSD/ports/i386/packages-8.1-release/All/libevent-1.3e.tbz.
    of unbound-1.4.7 failed!

    Installation aborted.Backing up libraries...
    Removing package...
    Starting package deletion for unbound-1.4.7...done.
    Skipping package deletion for expat-2.0.1_1 because it is required by other packages.
    Starting package deletion for libevent-1.4.14b_1...done.
    Removing Unbound components...
    Tabs items... done.
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file unbound.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... Failed to install package.

    Installation halted.


  • Rebel Alliance Developer Netgate

    ok, I've got another rebuild going now. Try it again in a few hours, it may work once a new set of binaries are uploaded.



  • ok confirm working

    Beginning package installation for Unbound…
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading Unbound and its dependencies...
    Checking for package installation...
    Loading package configuration... done.
    Configuring package components...
    Additional files... done.
    Loading package instructions...
    Menu items... done.
    Integrated Tab items... done.
    Services... done.
    Custom commands...
    Executing custom_php_install_command()...done.
    Executing custom_php_resync_config_command()...done.
    Writing configuration... done.
    Starting service.

    Installation completed.
    Unbound setup instructions:
    Please visit Services: Unbound to configure the Unbound service. Remember you will need to disable Services: DNS Forwarder before starting Unbound. Also note if your DHCP server makes use of pfSense as the DNS server, then you will now need to add the IP address of the respective interface to the DNS servers field, in the DHCP server configuration page.


  • Rebel Alliance Developer Netgate

    Yeah the packages just finished a bit ago :-)

    Information for /usr/ports/packages/All/unbound-1.4.7.tbz:

    Depends on:
    Dependency: expat-2.0.1_1
    Dependency: openssl-1.0.0_4
    Dependency: libevent-1.4.14b_1

    Looks good now



  • yess thanks jimp =)



  • Thanks Jimp. Just upgraded the limping box to pfSense-Full-Update-2.0-BETA4-20101227-0643.tgz from the console.

    Unbound installs fine and the RRD Graphs are working.


Locked